Subject: Re: bug#51437: 29.0.50; The annotated example of a complete working Flymake backend does not work with narrowed buffers

From: João Távora <[email-masked]>
Date: Sun, 31 Oct 2021 09:26:16 +0000

This is starting to sound like a more generic Flymake limitation/bug than a
documentation bug. I'll have a look when I get home.

Have you experimented with the 'region' arg when reporting back
diagnostics?  Also you can have a look at how the Elisp backend does it?  I
think, though I am not sure, that it works with narrowed buffers.

By the way, Flymake for spell checking is a great idea. Is your backend
available somewhere?

João

On Sat, Oct 30, 2021, 22:15 Rudolf Adamkovič <[email-masked]> wrote:

> João Távora <[email-masked]> writes:
>
> > I can't test right now, but maybe Rudolf can. If it works then
> > I'd say commit it.
>
> The patch fixes the errors, but it also causes troubles. Say I use Flymake
> to check on my English grammar, and say I have 10 errors in my text. I
> narrow down to a part with 5 errors, fix them, write some new text, and
> after a while, I widen the buffer. I look through my final text, see that
> Flymake reports 0 errors, and submit my work to someone. Well, I submitted
> 5 errors, because Flymake did not re-check when I widened the buffer.
> Further, Flymake might report incorrect data on narrow. In the example
> above, it would have said 10 errors after narrowing and then 5 for the same
> narrowed content on the next re-check. Thus, we should either always check
> the entire content of the buffer, or we should recheck on narrow and widen,
> potentially wasting bandwidth for online checks and the like.
>
> Rudy
>
> --
> "'Contrariwise,' continued Tweedledee, 'if it was so, it might be; and if
> it were so, it would be; but as it isn't, it ain't. That's logic.'" --
> Lewis Carroll, Through the Looking Glass
>
> Rudolf Adamkovič <[email-masked]>
> Studenohorská 25
> 84103 Bratislava
> Slovakia
>
> [he/him]
>